/* 
 * Copyright (C) 2003 Star Chamber Inc.
 *
 * Sussen - sussen.h
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Author: Loren Bandiera <lorenb@starchamber.ca>
 */

#ifndef __SUSSEN_H
#define __SUSSEN_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

/* Be clean and pure */
#define GNOME_DISABLE_DEPRECATED
#define GTK_DISABLE_DEPRECATED
#define G_DISABLE_DEPRECATED

#include <gnome.h>
#include <glib.h>
#include <gnet.h>
#include <glade/glade.h>
#include <libxml/xmlmemory.h>
#include <libxml/parser.h>
#include <string.h>
#include <libgnomedb/libgnomedb.h>

/* Sussen globals */

extern GtkWidget *main_window;
extern GladeXML *mainwindow_xml;

extern GtkWidget *sensor_tree;
extern GtkListStore *sensor_store;

extern GtkWidget *targets_tree;
extern GtkListStore *targets_store;

extern GtkWidget *scan_status_tree;
extern GtkListStore *scan_status_store;

extern GtkTreeModel *global_model;
extern GtkTreeIter *global_iter;

extern gint use_policy_file;
extern GHashTable *plugin_hash;

extern GConn *global_connection;
extern GTcpSocket *global_gtcpsocket;

extern gboolean sussen_detached_mode;
extern gboolean sussen_save_sessions;
extern gboolean sussen_save_detached_sessions;
extern GData *server_preferences;
extern GData *server_information;
extern GSList *plugin_list;
extern GSList *server_rules;
extern GData *plugin_depends;
extern GHashTable *server_sessions;

extern GdaClient *sussen_be_client;
extern GdaConnection *sussen_be_connection;

#define REPORT_BUGS_URL "http://sourceforge.net/tracker/?atid=565481&group_id=82251&func=browse"
#define SUSSEN_URL "http://sussen.sourceforge.net/"
#define STAR_CHAMBER_URL "http://www.starchamber.ca/"

#endif
